您尚未登录。

#1 2021-12-29 15:50:07

931978415@qq.com
会员
注册时间: 2021-12-29
帖子: 7

错误:未找到目标:fcitx-im

✘ bl@archlinux  ~  sudo pacman -Sy                           
:: 正在同步软件包数据库...
core 已经是最新版本
extra 已经是最新版本
archlinuxcn 已经是最新版本
bl@archlinux  ~  sudo pacman -S google-chrome               
错误:未找到目标:google-chrome
✘ bl@archlinux  ~  sudo pacman -S fcitx-im
错误:未找到目标:fcitx-im
✘ bl@archlinux  ~  sudo pacman -S fcitx-configtool
错误:未找到目标:fcitx-configtool
✘ bl@archlinux  ~  sudo pacman -S fcitx-sogoupinyin
错误:未找到目标:fcitx-sogoupinyin
✘ bl@archlinux  ~ 



========================================================

[archlinuxcn]
Server = https://mirrors.ustc.edu.cn/archlinuxcn/$arch


操作系统: Arch Linux
KDE Plasma 版本: 5.23.4
KDE 程序框架版本: 5.89.0
Qt 版本: 5.15.2
内核版本: 5.15.11-arch2-1 (64-位)
图形平台: X11
处理器: 8 × Intel® Core™ i7-1065G7 CPU @ 1.30GHz
内存: 15.4 GiB 内存
图形处理器: Mesa Intel® Iris® Plus Graphics

离线

#2 2021-12-29 16:08:17

Cyrus Yip
会员
注册时间: 2021-09-26
帖子: 25
个人网站

Re: 错误:未找到目标:fcitx-im

这说明仓库里面没有这些包。另外,`pacman -Sy` 加上 `pacman -S`,可能导致部分更新。建议用 `pacman -Syu`。

离线

#3 2021-12-29 16:19:37

931978415@qq.com
会员
注册时间: 2021-12-29
帖子: 7

Re: 错误:未找到目标:fcitx-im

谢谢!  正是因为是没有常用软件才郁闷...

离线

#4 2021-12-29 17:38:25

Cyrus Yip
会员
注册时间: 2021-09-26
帖子: 25
个人网站

Re: 错误:未找到目标:fcitx-im

不是没有,Fcitx 就在仓库里,但不是你输入的名字。Fcitx4 都进入维护阶段了,可以试试 Fcitx5。Google Chrome 在 AUR(Arch User Repository)。

离线

#5 2021-12-29 20:57:15

931978415@qq.com
会员
注册时间: 2021-12-29
帖子: 7

Re: 错误:未找到目标:fcitx-im

正在解析依赖关系...
警告:无法解决 "unicode-cldr-annotations","fcitx5-git" 的一个依赖关系
警告:无法解决 "fcitx5-git","fcitx5-rime-git" 的一个依赖关系
警告:无法解决 "librime","fcitx5-rime-git" 的一个依赖关系
警告:无法解决 "opencc","fcitx5-rime-git" 的一个依赖关系
警告:无法解决 "librime-data","fcitx5-rime-git" 的一个依赖关系
:: 因为无法解决依赖关系,以下软件包无法进行更新:
      fcitx5-rime-git

:: 您想在本次更新中跳过上述软件包吗? [y/N]
错误:无法准备事务处理 (无法满足依赖关系)

Cyrus Yip 说:

不是没有,Fcitx 就在仓库里,但不是你输入的名字。Fcitx4 都进入维护阶段了,可以试试 Fcitx5。Google Chrome 在 AUR(Arch User Repository)。

离线

#6 2021-12-30 00:05:45

silkriver
会员
注册时间: 2020-07-24
帖子: 144

Re: 错误:未找到目标:fcitx-im

可以参考这个短视频里装Fcitx5的步骤 https://www.bilibili.com/video/BV1Gv41177GE 这里是用Manjaro,Arch应该也一样的

离线

#7 2021-12-30 00:31:41

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 7,298
个人网站

Re: 错误:未找到目标:fcitx-im

931978415@qq.com 说:

正在解析依赖关系...
警告:无法解决 "unicode-cldr-annotations","fcitx5-git" 的一个依赖关系
警告:无法解决 "fcitx5-git","fcitx5-rime-git" 的一个依赖关系
警告:无法解决 "librime","fcitx5-rime-git" 的一个依赖关系
警告:无法解决 "opencc","fcitx5-rime-git" 的一个依赖关系
警告:无法解决 "librime-data","fcitx5-rime-git" 的一个依赖关系
:: 因为无法解决依赖关系,以下软件包无法进行更新:
      fcitx5-rime-git

:: 您想在本次更新中跳过上述软件包吗? [y/N]
错误:无法准备事务处理 (无法满足依赖关系)

Cyrus Yip 说:

不是没有,Fcitx 就在仓库里,但不是你输入的名字。Fcitx4 都进入维护阶段了,可以试试 Fcitx5。Google Chrome 在 AUR(Arch User Repository)。

你为什么会找不到 unicode-cldr-annotations 呢? pacman -Si unicode-cldr-annotations 看看?pacman -Sy 试试?

离线

#8 2021-12-30 11:29:00

SamLukeYes
会员
所在地: Canton, China
注册时间: 2020-07-19
帖子: 305
个人网站

Re: 错误:未找到目标:fcitx-im

931978415@qq.com 说:

✘ bl@archlinux  ~  sudo pacman -Sy                           
:: 正在同步软件包数据库...
core 已经是最新版本
extra 已经是最新版本
archlinuxcn 已经是最新版本

怎么回事,你没有开 community 仓库?community 默认应该是开启的才对啊,请检查你的 /etc/pacman.conf。

另外,archlinuxcn 中有些包是需要来自 multilib 的依赖的,因此最好把 multilib 也开了。

离线

页脚